#!/bin/bash -e
# ====== Setup workspace
cd $TRAVIS_BUILD_DIR
source ./jenkins/scripts/setup_workspace.sh

cd $TD_CROSS_BIN_DIR
nice -n 5 chrt -b 0 cmake \
 -DTD_ENABLE_JNI=ON \
 -DCMAKE_BUILD_TYPE=Release \
 -DCMAKE_INSTALL_PREFIX:PATH=${TD_BIN_DIR} \
 -DCMAKE_INSTALL_BINDIR:PATH=${TD_BIN_DIR}/bin \
 $TD_SRC_DIR
nice -n 5 chrt -b 0 cmake --build . --target prepare_cross_compiling --parallel ${TRAVIS_CPU_CORES}
nice -n 5 chrt -b 0 cmake --build . --target td_generate_java_api --parallel ${TRAVIS_CPU_CORES}
