#!/bin/bash -e
# ====== Setup environment variables
source ./jenkins/scripts/setup_variables.sh

# ====== Environment setup
[ -d $TD_BUILD_DIR ] || mkdir -p $TD_BUILD_DIR
[ -d $TD_BIN_DIR ] || mkdir -p $TD_BIN_DIR
[ -d $TD_NATIVE_BIN_DIR ] || mkdir -p $TD_NATIVE_BIN_DIR
[ -d $TD_CROSS_BIN_DIR ] || mkdir -p $TD_CROSS_BIN_DIR
[ -d $TDNATIVES_CPP_BUILD_DIR ] || mkdir -p $TDNATIVES_CPP_BUILD_DIR

echo "CCACHE statistics:"
ccache -s

## Fix openssl path
cd $TD_SRC_DIR
#sed -i -e '2i\cmake_policy(SET CMP0074 NEW)\' tdutils/CMakeLists.txt
#sed -i -e '2i\cmake_policy(SET CMP0074 NEW)\' CMakeLists.txt
#sed -i -e '3i\set(OPENSSL_ROOT_DIR /usr/lib/openssl_cross/usr/lib)\' CMakeLists.txt
#sed -i -e '4i\set(OPENSSL_LIBRARIES_DIR /usr/lib/openssl_cross/usr/lib)\' CMakeLists.txt
#sed -i -e '5i\set(OPENSSL_INCLUDE_DIR /usr/lib/openssl_cross/usr/include/openssl)\' CMakeLists.txt
#sed -i -e '6i\set(OPENSSL_CRYPTO_LIBRARY /usr/lib/openssl_cross/usr/lib/libcrypto.so)\' CMakeLists.txt
#sed -i -e '7i\set(OPENSSL_SSL_LIBRARY /usr/lib/openssl_cross/usr/lib/libssl.so)\' CMakeLists.txt
#sed -i -e '8i\set(ZLIB_ROOT /usr/lib/zlib_cross/usr/lib)\' CMakeLists.txt
#sed -i -e '9i\set(ZLIB_LIBRARIES_DIR /usr/lib/zlib_cross/usr/lib)\' CMakeLists.txt
#sed -i -e '10i\set(ZLIB_LIBRARY /usr/lib/zlib_cross/usr/lib/libz.so)\' CMakeLists.txt
#sed -i -e '11i\set(ZLIB_INCLUDE_DIR /usr/lib/zlib_cross/usr/include)\' CMakeLists.txt
#sed -i -e '12i\link_libraries(atomic)\' CMakeLists.txt
